﻿using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            var connectionString = "";
            PostgreSqlFeatureLayer postgre = new PostgreSqlFeatureLayer(connectionString, "testa", "recid", 4326);
            postgre.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country2;
            postgre.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            postgre.Open();

            //string sql = "INSERT INTO testa (recid) VALUES (null)";
            //postgre.FeatureSource.ExecuteNonQuery(sql);

            Feature f = new Feature(10, 10);            
            f.ColumnValues.Add("recid", string.Empty);

            postgre.FeatureSource.BeginTransaction();
            postgre.FeatureSource.AddFeature(f);
            postgre.FeatureSource.CommitTransaction();
        }
    }
}
